REMCTL_ERROR(3)

NAME
remctl_error - Retrieve the error from a failed remctl operation

SYNOPSIS
#include <remctl.h>

const char *remctl_error(struct remctl *r);

DESCRIPTION
remctl_error() returns the error from a previously failed remctl operation. Its only argument is a remctl struct as returned by remctl_new(). If the previous remctl operation was successful, returns the constant string "No error".

The caller may not modify the returned string. The string may even be stored in read-only memory and attempting to modify it may cause a memory fault. The returned pointer will be invalidated by the next call to any remctl API function with the same client object, other than remctl_error().

RETURN VALUE
remctl_error() returns either the previous error or the constant string "No error". It will never return NULL.

SEE ALSO
remctl_new(3), remctl_open(3), remctl_command(3), remctl_commandv(3), remctl_output(3)

The current version of the remctl library and complete details of the remctl protocol are available from its web page at <http://www.eyrie.org/~eagle/software/remctl/>.

AUTHOR
Russ Allbery <eagle@eyrie.org>

COPYRIGHT AND LICENSE
Copyright 2007, 2009 The Board of Trustees of the Leland Stanford Junior University

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved. This file is offered as-is, without any warranty.